# SourcePath: lzo/20070709dev
Summary: Portable lossless data compression library
Name: sony-target-dev-lzo
%define pkgname %{sony_target_config}-dev-lzo
Version: 2.02
Release: 030502
Source: lzo-%{version}.tar.gz
License 	: GPL
URL: http://www.oberhumer.com/opensource/lzo/
Distribution: %{sony_distribution}
Vendor: %{sony_vendor}
Packager: %{sony_packager}
Group: %{sony_group}
Buildroot: %{_tmppath}/%{name}-root
Prefix: %{sony_cross_target_dir}

%description
LZO is a portable lossless data compression library written in ANSI C.
It offers pretty fast compression and *very* fast decompression.
Decompression requires no memory. In addition there are slower
compression levels achieving a quite competitive compression ratio
while still decompressing at this very high speed.

%package -n %{pkgname}
Summary: Header files, libraries and development documentation for %{name}
Group: %{sony_group}
AutoReqProv: no

%description -n %{pkgname}
LZO is a portable lossless data compression library written in ANSI C.
It offers pretty fast compression and *very* fast decompression.
Decompression requires no memory. In addition there are slower
compression levels achieving a quite competitive compression ratio
while still decompressing at this very high speed.

%prep
%setup -n lzo-%{version}

%build
%sony_target_dev_setup 
%sony_target_dev_configure --enable-shared=yes
#make CC="$CC"
make

%install
rm -rf %{buildroot}
%sony_target_dev_setup
%sony_target_dev_makeinstall


%clean
rm -rf %{buildroot}

%files -n %{pkgname}
%defattr(-,root,root)
%{sony_cross_target_dir}%{sony_target_dev_lib_dir}/liblzo2.a
%{sony_cross_target_dir}%{sony_target_dev_lib_dir}/liblzo2.la
%{sony_cross_target_dir}%{sony_target_dev_lib_dir}/liblzo2.so*
%{sony_cross_target_dir}%{sony_target_dev_include_dir}/lzo/*

%changelog
* Mon Jul 09 2007 Sony Corporation
- initial version
